/v1/twin/{twinId}/assets/{assetId}

Prev Next
Get
/v1/twin/{twinId}/assets/{assetId}
Security
HTTP
Type bearer
OAuth
FlowAuthorization Code Client Credentials
Token URLhttps://cloud-api.prevu3d.com/rc-api/v1/auth/token
Scopes:
read:assetread:asset
Path parameters
twinId
stringRequired
assetId
stringRequired
Query parameters
includeMetaData
string
Valid values[ true, false ]
Defaultfalse
Responses
200
object
id
string
createdAt
string (date-time)
updatedAt
string (date-time)
name
string
assetTypeId
string | null
workingStructure
object (AssetVolumeDto)
boxes
Array of object (OrientedBoundingBox)
object
center
object (Vector3)
x
number
y
number
z
number
size
object (Vector3)
x
number
y
number
z
number
rotation
object (Quaternion)
x
number
y
number
z
number
w
number
metadata
object

An object representing the metadata of the asset. Each key is a string representing the section name and the content key/value can be of multiple type depending the property type that was selected

Example{ "Section name": { "name": "A short text", "numeric value": 42, "toggle name": true, "documentation link": { "url": "https://doc.prevu3d.com/", "text": "https://doc.prevu3d.com/", "_p3d_type": "urn:primitive:obj:external-link" }, "landing image": { "name": "prevu_logo.jpg", "id": "80559c9a-39ac-4e22-af81-7d7395f45673", "_p3d_type": "urn:primitive:obj:attachment" } } }
property*
OneOf
string
string
number
number
boolean
boolean
AttachmentPropertyMetaDataObjectDto
object (AttachmentPropertyMetaDataObjectDto)
name
string
id
string
_p3d_type
OneOf
urn:primitive:obj:attachment
urn:primitive:obj:attachment
UrlPropertyMetaDataObjectDto
object (UrlPropertyMetaDataObjectDto)
url
string
text
string
_p3d_type
OneOf
urn:primitive:obj:external-link
urn:primitive:obj:external-link